### Method

# Fwupd Plugin get_name

since: 1.5.0

#### Declaration [src]

    const gchar*
    fwupd_plugin_get_name (
      FwupdPlugin* self
    )

#### Description [src]

Gets the plugin name.

Available since: 1.5.0

Gets property | `Fwupd.Plugin:name`

#### Return value

Type: `const gchar*`

The plugin name, or `NULL` if unset.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.